scala.dbc
class Database

[source: `scala/dbc/Database.scala`]

`case` `class` Database(`val` dbms : Vendor)
  `extends` Product

  A link to a database. The `Database` abstract class must be specialised for every different DBMS.

Author
  Gilles Dubochet

Method Summary
`def` | close : Unit ..
`override def` | equals (arg0 : Any) : Boolean
`def` | executeStatement (statusStatement : Status) : Status[Unit] Executes a statement that updates the state of the database.
`def` | executeStatement (relationStatement : Relation) : Relation Executes a statement that returns a relation on this database.
`def` | executeStatement [ResultType](transactionStatement : Transaction[ResultType]) : Status[ResultType] Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.
`def` | executeStatement (relationStatement : Relation, debug : Boolean) : Relation Executes a statement that returns a relation on this database.
`def` | executeStatement (statusStatement : Status, debug : Boolean) : Status[Unit] Executes a statement that updates the state of the database.
`def` | executeStatement [ResultType](transactionStatement : Transaction[ResultType], debug : Boolean) : Status[ResultType] Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.
`override def` | hashCode : Int
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString : String

Methods inherited from Product
element, arity

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | Closed `extends` Exception `with` AnyRef

Method Details

`` `def` close : Unit

  ..

`` `def` executeStatement(relationStatement : Relation) : Relation

  Executes a statement that returns a relation on this database.

Parameters
  `relationStatement -` The statement to execute.
Returns
  The relation returned by the database for this statement.

`` `def` executeStatement(relationStatement : Relation, debug : Boolean) : Relation

  Executes a statement that returns a relation on this database.

Parameters
  `relationStatement -` The statement to execute.
  `debug -` Whether debugging information should be printed on the console.
Returns
  The relation returned by the database for this statement.

`` `def` executeStatement(statusStatement : Status) : Status[Unit]

  Executes a statement that updates the state of the database.

Parameters
  `statusStatement -` The statement to execute.
Returns
  The status of the database after the statement has been executed.

`` `def` executeStatement(statusStatement : Status, debug : Boolean) : Status[Unit]

  Executes a statement that updates the state of the database.

Parameters
  `statusStatement -` The statement to execute.
  `debug -` Whether debugging information should be printed on the console.
Returns
  The status of the database after the statement has been executed.

`` `def` executeStatement[ResultType](transactionStatement : Transaction[ResultType]) : Status[ResultType]

  Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.

Parameters
  `transactionStatement -` The transaction to execute as a closure.
Returns
  The status of the database after the transaction has been executed.

`` `def` executeStatement[ResultType](transactionStatement : Transaction[ResultType], debug : Boolean) : Status[ResultType]

  Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.

Parameters
  `transactionStatement -` The transaction to execute as a closure.
  `debug -` Whether debugging information should be printed on the console.
Returns
  The status of the database after the transaction has been executed.

`override` `def` hashCode : Int

`override` `def` toString : String

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement